Index: trunk/admin/modules/Elezioni/ele_sezione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_sezione.php	(revision 254)
+++ trunk/admin/modules/Elezioni/ele_sezione.php	(revision 257)
@@ -18,6 +18,8 @@
 
 
-$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($tipo_cons,$id_cons) = mysql_fetch_row($res);
+$sql="SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'";
+$res = $dbi->prepare("$sql");
+$res->execute(); 
+list($tipo_cons,$id_cons) = $res->fetch(PDO::FETCH_NUM);
 if (isset($param['do'])) get_magic_quotes_gpc() ? $do=$param['do']:$do=addslashes($param['do']); else $do='';
 if (isset($param['id_sede'])) $id_sede=intval($param['id_sede']); else $id_sede='';
@@ -54,6 +56,8 @@
 	."<td bgcolor=\"$bgcolor1\" align=\"center\" ><b>"._TOTS." "._ISCRITTI."</b></td>"
 	."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FUNZIONI."</b></td></tr>";
-    $res = mysql_query("SELECT * FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'  ", $dbi);
-    $max = mysql_num_rows($res);
+    $sql="SELECT * FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'  ";
+	$res = $dbi->prepare("$sql");
+	$res->execute(); 
+    $max = $res->rowCount();
 	echo "<tr align=\"center\"><form name=\"sezi\" action=\"admin.php\">"
 	."<input type=\"hidden\" name=\"op\" value=\"sezione\">"
@@ -61,12 +65,16 @@
     
 	$nuova= $max+1;
-	$res = mysql_query("SELECT id_sede FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez='$max'  ", $dbi);
-	list($id_sede_old) = mysql_fetch_row($res);
+	$sql="SELECT id_sede FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez='$max'  ";
+	$res = $dbi->prepare("$sql");
+	$res->execute(); 
+	list($id_sede_old) = $res->fetch(PDO::FETCH_NUM);
 
 	echo "<td><input type=\"text\" name=\"num_sez\" value=\"$nuova\" size=\"5\"></td>";
 
 	echo "<td><select name=\"id_sede\">";
-	$res= mysql_query("SELECT id_sede,indirizzo FROM ".$prefix."_ele_sede where id_cons='$id_cons' order by indirizzo", $dbi);
-	while(list($id,$indir) = mysql_fetch_row($res)) {
+	$sql="SELECT id_sede,indirizzo FROM ".$prefix."_ele_sede where id_cons='$id_cons' order by indirizzo";
+	$res = $dbi->prepare("$sql");
+	$res->execute(); 
+	while(list($id,$indir) = $res->fetch(PDO::FETCH_NUM)) {
 		if ($id == $id_sede_old) {
 			$sel = "selected";
@@ -93,10 +101,14 @@
     
     
-    $result = mysql_query("select id_cons, id_sez, id_sede, num_sez, maschi, femmine, autorizzati_m, autorizzati_f from ".$prefix."_ele_sezioni where id_cons='$id_cons'  ORDER BY num_sez  LIMIT $min,$offset", $dbi);
-    while(list($id_cons2,$id_sez,$id_sede,$num_sez, $maschi, $femmine,$aut_m,$aut_f) = mysql_fetch_row($result)) {
+    $sql="select id_cons, id_sez, id_sede, num_sez, maschi, femmine, autorizzati_m, autorizzati_f from ".$prefix."_ele_sezioni where id_cons='$id_cons'  ORDER BY num_sez  LIMIT $min,$offset";
+ 	$result = $dbi->prepare("$sql");
+	$result->execute(); 
+   while(list($id_cons2,$id_sez,$id_sede,$num_sez, $maschi, $femmine,$aut_m,$aut_f) = $result->fetch(PDO::FETCH_NUM)) {
 	$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
         // dati circoscrizione
-	$result1 = mysql_query("select indirizzo from ".$prefix."_ele_sede where id_sede='$id_sede'", $dbi);
-        list($indir)=mysql_fetch_row($result1);
+	$sql="select indirizzo from ".$prefix."_ele_sede where id_sede='$id_sede'";
+	$result1 = $dbi->prepare("$sql");
+	$result1->execute(); 
+        list($indir)=$result1->fetch(PDO::FETCH_NUM);
         $totali=$maschi+$femmine+$aut_m+$aut_f;
 	$y++;
@@ -111,6 +123,8 @@
 	echo "<tr bgcolor=\"$bgcolor1\"><td align=\"right\" size=\"90\"><b>$num_sez</b></td>";
 	echo "<td align=\"right\" size=\"120\"><select name=\"id_sede\">";
-	$res= mysql_query("SELECT id_sede,indirizzo FROM ".$prefix."_ele_sede where id_cons='$id_cons' order by indirizzo", $dbi);
-	while(list($id,$indir) = mysql_fetch_row($res)) {
+	$sql="SELECT id_sede,indirizzo FROM ".$prefix."_ele_sede where id_cons='$id_cons' order by indirizzo";
+	$res = $dbi->prepare("$sql");
+	$res->execute(); 
+	while(list($id,$indir) = $res->fetch(PDO::FETCH_NUM)) {
 		if ($id == $id_sede) {
 			$sel = "selected";
@@ -179,15 +193,29 @@
 			die();
 		}else{
-			$result = mysql_query("delete from ".$prefix."_ele_voti_candidati where id_sez='$id_sez'", $dbi)|| die("(1104) Non e' stato possibile eliminare i dati dal database! contattare l'amministratore".mysql_error());
- 			$result = mysql_query("delete from ".$prefix."_ele_voti_lista where id_sez='$id_sez'", $dbi)|| die("(1104) Non e' stato possibile eliminare i dati dal database! contattare l'amministratore".mysql_error());
-			$result = mysql_query("delete from ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'",$dbi)|| die("(1104) Non e' stato possibile eliminare i dati dal database! contattare l'amministratore".mysql_error());
-			$result = mysql_query("delete from ".$prefix."_ele_voti_ref where id_sez='$id_sez'", $dbi)|| die("(1104) Non e' stato possibile eliminare i dati dal database! contattare l'amministratore".mysql_error());
-			$result = mysql_query("delete from ".$prefix."_ele_voti_parziale where id_sez='$id_sez'", $dbi)|| die("(1104) Non e' stato possibile eliminare i dati dal database! contattare l'amministratore".mysql_error());
-			$result = mysql_query("delete from ".$prefix."_ele_sezioni where id_sez='$id_sez'", $dbi)|| die("(1104) Non e' stato possibile eliminare i dati dal database! contattare l'amministratore".mysql_error());
+			$sql="delete from ".$prefix."_ele_voti_candidati where id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
+ 			$sql="delete from ".$prefix."_ele_voti_lista where id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
+			$sql="delete from ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
+			$sql="delete from ".$prefix."_ele_voti_ref where id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
+			$sql="delete from ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
+			$sql="delete from ".$prefix."_ele_sezioni where id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
 			Header("Location: admin.php?op=sezione&id_cons_gen=$id_cons_gen&min=$min");
 		}
 	}elseif ($do == "add") {
 		if ($num_sez) {
-			$result = mysql_query("insert into ".$prefix."_ele_sezioni (id_cons,id_sede,num_sez,maschi,femmine, autorizzati_m,autorizzati_f) values ('$id_cons', '$id_sede', '$num_sez','$maschi','$femmine','$aut_m', '$aut_f')", $dbi)|| die("(1104) Non e' stato possibile inserire i dati nel database! contattare l'amministratore".mysql_error());
+			$sql="insert into ".$prefix."_ele_sezioni (id_cons,id_sede,num_sez,maschi,femmine, autorizzati_m,autorizzati_f) values ('$id_cons', '$id_sede', '$num_sez','$maschi','$femmine','$aut_m', '$aut_f')";
+			$res = $dbi->prepare("$sql");
+			$res->execute(); 
 			Header("Location: admin.php?op=sezione&id_cons_gen=$id_cons_gen&min=$min");
 		} else {
@@ -199,5 +227,7 @@
 		}
 	}elseif ($do == "update") {
-		$result = mysql_query("update  ".$prefix."_ele_sezioni set id_sede='$id_sede', maschi='$maschi', femmine='$femmine', autorizzati_m='$aut_m', autorizzati_f='$aut_f' where id_sez='$id_sez2' ", $dbi)|| die("(1104) Non e' stato possibile aggiornare i dati nel database! contattare l'amministratore".mysql_error());
+		$sql="update  ".$prefix."_ele_sezioni set id_sede='$id_sede', maschi='$maschi', femmine='$femmine', autorizzati_m='$aut_m', autorizzati_f='$aut_f' where id_sez='$id_sez2' ";
+		$res = $dbi->prepare("$sql");
+		$res->execute(); 
 		$num_sez--;
 		Header("Location: admin.php?op=sezione&id_cons_gen=$id_cons_gen&min=$num_sez");
